Package org.eclipse.cdt.utils.envvar

# Class StorableEnvVar

java.lang.Object
org.eclipse.cdt.core.envvar.EnvironmentVariable
org.eclipse.cdt.utils.envvar.StorableEnvVar

All Implemented Interfaces:
  `Cloneable`, `IEnvironmentVariable`

public class StorableEnvVar extends EnvironmentVariable
This class represents the Environment variable that could be loaded and stored in XML

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`APPEND`
`static final String`
`DELIMITER`
`static final String`
`NAME`
`static final String`
`OPERATION`
`static final String`
`PREPEND`
`static final String`
`REMOVE`
`static final String`
`REPLACE`
`static final String`
`VALUE`
`static final String`
`VARIABLE_ELEMENT_NAME`

### Fields inherited from class org.eclipse.cdt.core.envvar.EnvironmentVariable

`fDelimiter, fName, fOperation, fValue`

### Fields inherited from interface org.eclipse.cdt.core.envvar.IEnvironmentVariable

`ENVVAR_APPEND, ENVVAR_PREPEND, ENVVAR_REMOVE, ENVVAR_REPLACE`

## Constructor Summary

Constructors
Constructor
Description
`StorableEnvVar(String name)`
`StorableEnvVar(String name, String value)`
`StorableEnvVar(String name, String value, int op, String delimiter)`
`StorableEnvVar(String name, String value, String delimiter)`
`StorableEnvVar(String name, org.osgi.service.prefs.Preferences element)`
Load the Environment Variable directly from a Preference element
`StorableEnvVar(ICStorageElement element)`
Load the environment variable from the ICStorageElement

## Method Summary

Modifier and Type
Method
Description
`void`
`serialize(ICStorageElement element)`
`void`
`serialize(org.osgi.service.prefs.Preferences element)`
Serialize this Preference straight into the Preferences element.

### Methods inherited from class org.eclipse.cdt.core.envvar.EnvironmentVariable

`clone, equals, getDelimiter, getName, getOperation, getValue, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### VARIABLE_ELEMENT_NAME

public static final String VARIABLE_ELEMENT_NAME

See Also:
  - Constant Field Values

### NAME

public static final String NAME

See Also:
  - Constant Field Values

### VALUE

public static final String VALUE

See Also:
  - Constant Field Values

### OPERATION

public static final String OPERATION

See Also:
  - Constant Field Values

### DELIMITER

public static final String DELIMITER

See Also:
  - Constant Field Values

### REPLACE

public static final String REPLACE

See Also:
  - Constant Field Values

### REMOVE

public static final String REMOVE

See Also:
  - Constant Field Values

### APPEND

public static final String APPEND

See Also:
  - Constant Field Values

### PREPEND

public static final String PREPEND

See Also:
  - Constant Field Values

## Constructor Details

### StorableEnvVar

public StorableEnvVar(String name, String value, int op, String delimiter)

### StorableEnvVar

public StorableEnvVar(String name)

### StorableEnvVar

public StorableEnvVar(String name, String value)

### StorableEnvVar

public StorableEnvVar(String name, String value, String delimiter)

### StorableEnvVar

public StorableEnvVar(ICStorageElement element)
Load the environment variable from the ICStorageElement

Parameters:
  `element` -

### StorableEnvVar

public StorableEnvVar(String name, org.osgi.service.prefs.Preferences element)
Load the Environment Variable directly from a Preference element

Parameters:
  `name` -
  `element` -
Since:
  5.2

## Method Details

### serialize

public void serialize(ICStorageElement element)

### serialize

public void serialize(org.osgi.service.prefs.Preferences element)
Serialize this Preference straight into the Preferences element. It's assumed that the Preference node represents this StorableEnvVar's name

Parameters:
  `element` -
Since:
  5.2